org.apache.hadoop.yarn.api.protocolrecords

## Class IncreaseContainersResourceRequest

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.IncreaseContainersResourceRequest

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class IncreaseContainersResourceRequest
      extends Object

  The request sent by `Application Master` to the `Node Manager` to change the resource quota of a container.

  See Also:
    `ContainerManagementProtocol.increaseContainersResource(IncreaseContainersResourceRequest)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncreaseContainersResourceRequest()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract List<Token>` | `getContainersToIncrease()` Get a list of container tokens to be used for authorization during container resource increase.
    `static IncreaseContainersResourceRequest` | `newInstance(List<Token> containersToIncrease)`
    `abstract void` | `setContainersToIncrease(List<Token> containersToIncrease)` Set container tokens to be used during container resource increase.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncreaseContainersResourceRequest

          public IncreaseContainersResourceRequest()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static IncreaseContainersResourceRequest newInstance(List<Token> containersToIncrease)

    - #### getContainersToIncrease

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<Token> getContainersToIncrease()

      Get a list of container tokens to be used for authorization during container resource increase.

      Note: `NMToken` will be used for authenticating communication with `NodeManager`.

      Returns:
        the list of container tokens to be used for authorization during container resource increase.
      See Also:
        `NMToken`

    - #### setContainersToIncrease

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setContainersToIncrease(List<Token> containersToIncrease)

      Set container tokens to be used during container resource increase. The token is acquired from `AllocateResponse.getIncreasedContainers`. The token contains the container id and resource capability required for container resource increase.
      Parameters:
        `containersToIncrease` - the list of container tokens to be used for container resource increase.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.